$marginAroundEditedRegion: 60px;
$marginAroundEditableRegion: 30px;
// body {
body.-editmode-on {
  &::before {
    background-color: black;
    content: '';
    height: 100%;
    opacity: .6;
    width: 100%;
    position: fixed;
    z-index: 11;
  }
}

.-is-fixed {
  position: fixed;
}

.-is-editable {
  position: relative;

  &::before {
    cursor: hand;
    box-shadow: 0px 0px 30px 0px rgba(0,0,0,.5);
    opacity: 0;
    margin: auto auto;
    content: 'İçeriği Düzenle';
    padding: 15px 30px;
    background-color: crimson;
    top: 0%;
    transform: translate3d(-50%, -100%, 0);
    display: block;
    left: 50%;
    position: absolute;
    z-index: 1;
    align-items: center;
    justify-content: center;
    font-size: 30px;
    text-transform: uppercase;
    font-weight: bold;
    color: beige;
    transition: opacity 100ms ease, top 500ms ease;
  }
  // background-color: red;
  &::after { // create hover and editing states without affecting elements itself.
    border: 5px dashed tomato;
    content: '';
    background-color: rgba(255, 255, 255, 0.4);
    display: inline-block;
    height: calc(100% + #{$marginAroundEditableRegion});
    opacity: 0;
    position: absolute;
    width: calc(100% + #{$marginAroundEditableRegion});
    left: calc(#{$marginAroundEditableRegion} / (-3/2));
    top: calc(#{$marginAroundEditableRegion} / (-3/2));
    transition: opacity 300ms ease;
  }
   &:hover {
     &::after {
       opacity: 1;
     }
     &::before {
       opacity: 1;
       top: 30%;
     }

  }

  ol, ul {
    display: inline-block;
  }
}


// pops over the currently edited section
.-is-currently-being-edited {
  display: inline-block;
  position: relative;
  z-index: 15;
  &::after {
    opacity: 1;
    transition: none;

    border: none;
    box-shadow: 0px 0px 30px 0px rgba(0,0,0,.5);
    background-color: white;
    content: '';
    display: block;
    height: calc(100% + #{$marginAroundEditedRegion});
    position: absolute;
    width: calc(100% + #{$marginAroundEditedRegion});
    left: calc(#{$marginAroundEditedRegion} / (-3/2));
    top: calc(#{$marginAroundEditedRegion} / (-3/2));
    z-index: -1;
  }

  &::before {
    display: none;
  }

  & li {
    cursor: move;
    position: relative; // hack for absolute positioning
    &:before { // create hover and editing states without affecting elements itself.
        transition: opacity 300ms ease;
        border: 2px dashed tomato;
        content: '';
        display: inline-block;
        height: 100%;
        left: -15px;
        opacity: 0;
        position: absolute;
        top: -20px;
        width: 100%;
      }

    &:hover,
    &.-editing {
      &:before { // create hover and editing states without affecting elements itself.
        opacity: 1;
      }
    }

    &.-editing {
      &:before { // create hover and editing states without affecting elements itself.
        border: 4px dashed yellowgreen;
      }
    }
  }
}
